### Enumeration

# Gtk BorderStyle

#### Declaration

    enum Gtk.BorderStyle

#### Description [src]

Describes how the border of a UI element should be rendered.

#### Members

`GTK_BORDER_STYLE_NONE`

  No visible border.

  - Value: `0`
  - Available since: 4.0
`GTK_BORDER_STYLE_HIDDEN`

  Same as `GTK_BORDER_STYLE_NONE`.

  - Value: `1`
  - Available since: 4.0
`GTK_BORDER_STYLE_SOLID`

  A single line segment.

  - Value: `2`
  - Available since: 4.0
`GTK_BORDER_STYLE_INSET`

  Looks as if the content is sunken into the canvas.

  - Value: `3`
  - Available since: 4.0
`GTK_BORDER_STYLE_OUTSET`

  Looks as if the content is coming out of the canvas.

  - Value: `4`
  - Available since: 4.0
`GTK_BORDER_STYLE_DOTTED`

  A series of round dots.

  - Value: `5`
  - Available since: 4.0
`GTK_BORDER_STYLE_DASHED`

  A series of square-ended dashes.

  - Value: `6`
  - Available since: 4.0
`GTK_BORDER_STYLE_DOUBLE`

  Two parallel lines with some space between them.

  - Value: `7`
  - Available since: 4.0
`GTK_BORDER_STYLE_GROOVE`

  Looks as if it were carved in the canvas.

  - Value: `8`
  - Available since: 4.0
`GTK_BORDER_STYLE_RIDGE`

  Looks as if it were coming out of the canvas.

  - Value: `9`
  - Available since: 4.0